apiVersion: v1
kind: Service
metadata:
  name: {{ include "next-gen-ci-demo.fullname" . }}
  labels:
    {{- include "next-gen-ci-demo.labels" . | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "next-gen-ci-demo.selectorLabels" . | nindent 4 }}

